import { AnnotationComponent } from 'substance'

class CommentComponent extends AnnotationComponent {
  render ($$) {
    var el = $$('span')
      .attr('data-id', this.props.node.id)
      .addClass(this.getClassNames())

    if (this.props.node.highlighted) {
      el.addClass('sm-highlighted')
    }

    el.append(this.props.children)
    el.on('click', this.focus)

    return el
  }

  focus () {
    var id = this.props.node.id
    var provider = this.context.commentsProvider

    provider.focusTextArea(id)
  }
}

export default CommentComponent
