import { AnnotationComponent } from 'substance'

class TrackChangeComponent extends AnnotationComponent {
  render ($$) {
    const user = this.context.controller.props.user

    var el = $$('span')
      .attr('data-id', this.props.node.id)
      .attr('data-user', user.username)
      .attr('data-role', user.teams[0].name)
      .addClass(this.getClassNames())

    el.append(this.props.children)
    return el
  }

}

export default TrackChangeComponent
