import TrackChange from './TrackChange'
import TrackChangeCommand from './TrackChangeCommand'
import TrackChangeComponent from './TrackChangeComponent'
import TrackChangeHTMLConverter from './TrackChangeHTMLConverter'
// import { AnnotationTool } from 'substance'
export default {
  name: 'track-change',
  configure: function (config) {
    config.addNode(TrackChange)

    config.addComponent(TrackChange.type, TrackChangeComponent)
    config.addConverter('html', TrackChangeHTMLConverter)
    // config.addTool('track-change', AnnotationTool, { target: 'insert' })
    config.addCommand(TrackChange.type, TrackChangeCommand, { nodeType: TrackChange.type })
    config.addIcon('track-change', { 'fontawesome': 'fa-eye' })
    config.addLabel('track-change', {
      en: 'track-change'
    })
  }
}
